Subject: Re: CCL:Summary:The new C++ standard and Standard Template Library(STL)

From: "N.A. Nystrom" <[email-masked]>
Date: Fri, 15 Jan 1999 07:01:48 -0500 (EST)

> I have asked a question about the new C++ standard and Standard
> Template Library(STL) yesterday. I got many replies. Below is something
> useful:
> 1. The new ANSI/ISO C++ standard is not released, but a draft
> version has existed, you can get the online document from:

This isn't true, as I previously replied to the list (but which never
appeared).  The standard is ISO/IEC 14882, approved by ANSI on 7/27/98
and available from www.ansi.org.

> http://www.maths.warwick.ac.uk/cpp/pub/wp/html/cd2/
> ftp://research.att.com/dist/c++std/WP/CD2/
> 
> The file "body.pdf" is most important, but "content.pdf", "index.pdf",
> are very useful, "coversheet.pdf" and "forward.pdf" are both one page
> announcement.
> I heard that we can get a paper copy by sending a request to
> 
>         Standards Secretariat
>         CBEMA
>         311 First St NW, Suite 500
>         Washington, DC 20001 
> 
> Ask for the latest version of `Working Paper for Draft Proposed American
> National Standard for Information Systems -- Programming Language C++'.
> I do not know if they need money, and how much it will cost.
> 
> 2. In the C++ standard above, there was a Standard library, the "Standard
> Template Library(STL)" is a part of the "Standard library", but I think the
> STL is much useful for Computational Chemists.

Yes, containers and iterators are covered by the ANSI/ISO C++ Standard.

Nick

============================================================================
  Nicholas A. Nystrom, Ph.D.              Pittsburgh Supercomputing Center
  Scientific Specialist                   Mellon Institute Building
  email: [email-masked]                  4400 Fifth Avenue
  voice: +1 412-268-1592 fax: -5832       Pittsburgh, PA  15213    USA
============================================================================